[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TSizeConstraints.AssignTo

Copies property values to the specified persistent object.

## Declaration

Source position: controls.pp line 721

`protected procedure TSizeConstraints.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Persistent object where property values are stored.

## Description

AssignTo is an overridden method in TSizeConstraints used to implement object persistence. It ensures that properties specific to TSizeConstraints are stored to the persistent object in the Dest parameter, and includes the MaxHeight, MaxWidth, MinHeight, and MinWidth properties. The Change method is called to adjust the size for the associated Control, and to signal the OnChange event handler when assigned.

No actions are performed in the method if the properties in the class instance have the same values as their counterparts in the Dest argument.

If Dest is not derived from TSizeConstraints, the inherited AssignTo method is called.

## See also

TSizeConstraints.MaxHeight |  | The maximum height for the associated Control.
TSizeConstraints.MaxWidth |  | The maximum width for the associated Control.
TSizeConstraints.MinHeight |  | The minimum height for the associated Control.
TSizeConstraints.MinWidth |  | The minimum width for the associated Control.
TSizeConstraints.Change |  | Adjusts the size for the associated Control, and signals the OnChange handler when assigned.
TSizeConstraints.OnChange |  | Event handler signalled when a value in the class instance has been changed.
TControl.AdjustSize |  | Smart way to DoAutoSize.
TPersistent.Assign